EFS Results List

Benefits of Instant Document Search

Instant Document Search is a powerful search engine (like Google or Yahoo!) for your local documents. You can instantly find documents by keywords or key-phrases and see the results with context preview and highlighted keywords. Instant Document Search supports most of the popular document types, has flexible configuration options, convenient interface and other useful features.

Instant Document Search is the essential solution for home and office users who want to maintain the capability of finding their documents within a glance:

  • It is simple and easy-to-use: user-friendly interface makes it easy even for beginners to work with the program.
  • It is quick; documents can be found within a fraction of a second.
  • It is information-sufficient; search results are sorted by relevance, each search result has excerpts from the document text with keywords and phrases highlighted in bold.
Instant Document Search's features include:
  • Instant, index-based search engine.
  • Support of Boolean searches and phrase searches.
  • Powerful and accurate full-text analysis.
  • Support of popular document types.
  • Context preview and highlighted keywords in search results.
  • Easy to use, convenient interface.
  • Flexible configuration options.
  • Best for home and office users.

(C) Copyright 2001-2004 SOW Software; all names mentioned in the text are trademarks (tm) or registered trademarks (r) of their respectful owners.


System requirements

In order to run Instant Document Search properly, your computer system should have at least:

  • Pentium-class processor.
  • Windows 95/98/ME/NT/2000/XP.
  • 32 MB of RAM.
  • 15 MB of free hard disk space.
See also:
  • Obtaining the latest version of Instant Document Search


Obtaining the latest version of Instant Document Search

To download the latest version of Instant Document Search:

  1. Launch your favorite web browser.
  2. Open the URL: http://www.sowsoft.com
  3. On the product list, select (click) Instant Document Search.
  4. On the Download page that appears:
    1. Right-click on the link.
    2. On the menu that appears, select Save target as:
  5. In the Save as... window that appears:
    1. Browse to the folder the program is to be saved in.
    2. Type or select from the drop-down menu file name to save the program as.
    3. From the drop-down menu, select file type to save the program as.
    4. Click Save to complete or Cancel to abort the operation.
See also:
  • Installing Instant Document Search


Installing & Uninstalling Instant Document Search

To install Instant Document Search:

  1. Open Windows Explorer.
  2. Browse to the folder where you saved Instant Document Search download file.
  3. Double-click on the file idsearch.zip.
  4. In the idsearch.zip window that appears, double-click on the file setup.exe.
  5. Follow the setup wizard's instructions:
    1. Review the program information. Click Next to continue or Cancel to terminate setup.
    2. Review the license agreement. Click "I agree" to accept terms of the license or Cancel to terminate setup. To return one step back, click the Prev. button.
    3. Specify the folder where you would like the program to be installed. If the suggested Destination folder does not satisfy you, use the Browse... button to locate a different folder. Once completed, click the Next button to continue or Cancel to terminate setup. To return one step back, click the Prev. button.
    4. Select the Start menu folder in which you would like Setup to create the program's shortcuts. Then click Next to continue or Cancel to terminate setup. To return one step back, click the Prev. button.
    5. Then click Install to proceed with installation or Cancel to terminate setup. To return one step back, click the Prev. button.
To uninstall Instant Document Search:
  1. Click Windows' Start button, then point at Programs, then point at Instant Document Search and select Uninstall.
  2. On the program's prompt for confirmation click Yes to complete uninstall or No to terminate the uninstall process.
Notes:
  1. Instant Document Search can also be removed via Control Panel:
    1. In My Computer window, open Control Panel, and then select Add / Remove Programs.
    2. On the list of software, select Instant Document Search, and then click Change / Remove.
  2. When automatic uninstall is complete, browse to the program's folder with Windows Explorer and delete the program's folder or its contents manually.
See also:
  • Obtaining the latest version of Instant Document Search


Register Effective File Search

Register Instant Document Search

Instant Document Search is distributed as shareware. You may use it for evaluational purposes for 30 days free of charge. After 30 days of free trial you must register it. If after evaluating Instant Document Search for 30 days you decide not to register it you must remove IDS software from your computer and cease using it.

Registration benefits:

1. Registration reminder will never popup again

2. Unlimited free program updates

3. E-mail and world wide web support

Registration costs US $29.95 for individual users and US $49.95 per license for corporate users. Volume discounts are available.

Registration procedure:

1. Go to Instant Document Search registration page

2. Fill in the registration form

3. Receive your personal registration code shortly

4. That is it! You are a registered user!

Instant Document Search official web site is located at http://www.sowsoft.com/document-search.htm


Effective File Search Overview

Contacts

E-mail
Support: | support@sowsoft.com
Sales: | sales@sowsoft.com
Webmaster: | webmaster@sowsoft.com

WEB
Company site: | http://www.sowsoft.com
Product site: | http://www.sowsoft.com/document-search.htm


Running Instant Document Search

Depending on the preferences that you have specified in the setup wizard, the program may be run automatically once the installation is complete.

To run Instant Document Search manually:

  • Click Windows' Start button, then point at Programs, then point at Instant Document Search and select Instant Document Search.
- OR -
  • Double-click on the Instant Document Search icon on the Desktop.
When the program is started for the very first time, the Instant Wizard window will appear to guide you through the initial configuration process.


Creating search zones

All documents can be divided into zones, such as:

  1. All documents on the local computer.
  2. CD with documents on the local computer.
  3. Shared folder with documents in a local-area network.
  4. Small documents only.
  5. New documents only.
  6. ...and so on.
To create a new search zone:
  1. In the Instant Wizard window, enter name for the search zone to be created and click Next to continue or Cancel to terminate the action.
The Properties window will appear.
  2. In the Properties window, click on the Main tab.
  3. Enter Name - the zone name you have just entered.
  4. Select Folders - folders to be included in the zone:
    1. Click on the Add... button to add a new folder.
    2. In the Browse window that appears, select the folder to be added to the folder list.
    3. Click OK to continue or Cancel to cancel the action.
    4. Repeat steps a. through c. as necessary.
Notes:
  • To remove a folder from the folder list, select the folder to be removed from the list, and then click the Clear button. Repeat as necessary to delete multiple folders.
  • Select folders carefully: selecting many folders will create a larger search database and thus generate more search results, however this may cause the indexing process to take longer time - from a few minutes to a few hours.
  5. On the Document type list, select the types of documents to be indexed for the search zone.
Notes:
  • Select document types carefully: selecting many document types will create a larger search database and thus generate more search results, however this may cause the indexing process to take longer time - from a few minutes to a few hours.
  6. In the Properties window, click on the Advanced tab.
  7. In the Zone parameters section, (if necessary) specify the Date range - the dates, between which the searched documents must be created or modified.
    To specify the start and end date: click on the drop-down menu, and then on the calendar that appears select the date.
  8. If necessary, specify (type in) the Size range - the document file sizes, between which the searched documents must be. The size range is to be specified in kilobytes.
Notes:
  • Specify zone parameters carefully: selecting wider date and size range will create a larger search database and thus generate more search results, however this may cause the indexing process to take longer time - from a few minutes to a few hours.
  9. In the Index option section:
    1. Specify Index depth - how far the searched documents must be indexed: only the first 20, 100, 200, 500 kilobytes or the entire document.
      To specify index depth: click on the Depth drop-down menu, and then select the index depth from the drop-down list that appears.
    2. Specify the search zone update schedule - Scheduler - period of time, after which the program must update the search zone database.
      To specify the update schedule: click on the Scheduler drop-down menu, and then select the schedule from the drop-down list that appears.

      The search schedule parameter may have one of the following values:
      • Only manual updates - the search database will be updated on user's demand only; no automatic updates will be performed.
      • Update every day - the search database will be automatically updated on the daily basis.
      • Update every 3 days - the search database will be automatically updated every three days.
      • Update every 7 days - the search database will be automatically updated every seven days.
      • Update every 15 days - the search database will be automatically updated every two weeks.
      • Update every 30 days - the search database will be automatically updated every month.
Notes:
  • You can update the search database manually even when an automatic update schedule is specified. See the chapter Updating search database for more information.

    3. Specify the Data folder value - the folder to store your search database.
      To specify the data folder:
      1. Click on the [...] button.
      2. In the Browse window that appears, select the folder to be added to the folder list.
      3. Click OK to continue or Cancel to cancel the action.
  10. Click OK to continue or Cancel to cancel creating the new search zone.
The Update progress window will appear; it displays the total number of document files found in the specified search zone, total size of the search zone and status of each action.

To stop the indexing process: click on the Stop button or on the Close button in the right-upper corner of the Update window.

If you do not complete configuring a new search zone, that zone's information will be stored in the program, so you can complete the process later.


Updating search database

If you do not complete configuring a new search zone, that zone's information will be stored in the program, so you can complete the process later. Depending on how far you have gone configuring a new search zone, the status of that zone can be one of the following:

  • Incomplete - the search zone is created but not configured. It must be properly configured and then updated manually or automatically before it can be searched.
  • Inactive - the search zone is completely configured but is not updated (indexed). Such search zone must be updated manually or automatically before it can be searched.
  • Active - the search zone is completely configured and activated and can be searched at any time.
To configure an incomplete search zone:
  1. In the Index Manager window, select the search zone to be configured.
  2. Click on the Properties button.
  3. In the Properties window, enter information that is missing.
For more information on configuring search zones, see the chapter Creating new search zones.


Manual and automatic search-zone update

Search databases can be updated both manually and automatically.

To update a search zone manually:

  1. On the Options menu, select Manage Search Zones.
  2. In the Index Manager window that appears, select the search zone to be updated.
  3. Click on the Update button.
  4. Monitor the update process in the Update window that appears.
To update a search zone automatically:
  1. On the Options menu, select Manage Search Zones.
  2. In the Index Manager window that appears, select the search zone to be updated.
  3. Click on the Properties button.
  4. In the Properties window that appears, click on the Advanced tab.
  5. In the Index option section, specify the update schedule - the Scheduler value - period of time, after which the program must automatically update the search zone database: click on the Scheduler drop-down menu, and then select the schedule from the drop-down list that appears.
  6. Click OK to continue or Cancel to cancel the action.
When the update time is reached, the program will perform the scheduled update automatically.

The search schedule parameter may have one of the following values:
  • Only manual updates - the search database will be updated on user's demand only; no automatic updates will be performed.
  • Update every day - the search database will be automatically updated on the daily basis.
  • Update every 3 days - the search database will be automatically updated every three days.
  • Update every 7 days - the search database will be automatically updated every seven days.
  • Update every 15 days - the search database will be automatically updated every two weeks.
  • Update every 30 days - the search database will be automatically updated every month.
Notes:
  • Specify the update schedule carefully: selecting the more frequent update will create the more up-to-date search database and thus generate better search results. However, since the indexing process may take from a few minutes to a few hours, this may cause inconvenience for running other programs on your computer.


Deleting search zones

To delete a redundant search zone from the list:

  1. In the Index Manager window, select the search zone to be deleted.
  2. Click on the Delete button.
  3. In the confirmation dialog box, confirm the delete action (answer Yes or No).
Depending on your confirmation response, the search zone will be deleted from the list (and its database from your hard drive) - if the answer was Yes - or the search zone will remain intact.


Searching documents with Instant Document Search

Activating search window

To start searching documents, in the Index Manager window, click the Perform Search button.

This will replace the Index Manager window with the program's main window (Instant Document Search) and will make the program available for searching documents.

Entering search query

To enter a query into Instant Document Search:

  1. Just type in a few descriptive words in the Search field.
  2. Select the search zone using the drop-down menu on the right of the Search field.
  3. Specify additional search parameters as necessary.
  4. And hit the ENTER key (or click on the Go button) for a list of relevant documents.
Notes:
  • Search terms (keywords) must be delimited with spaces; e.g.: word1 word2 word3.
  • Search phrase must be entered in quotes; e.g.: "word1 word2" word3. Otherwise the program will interpret that phrase as a set of individual keywords.
To add more search zones:
  1. On the Options menu, select Manage Search Zones.
  2. In the Instant Wizard window that appears, enter name for the search zone to be created and click OK to continue or Cancel to terminate the action.
For more information on creating new search zones, see the chapter Creating new search zones.

Since Instant Document Search only returns documents that contain all the words in your query, you may refine or narrow your search by simply adding more words to the search terms that you have already entered. Your new query will return a smaller subset of the pages that Instant Document Search found for your original "too-broad" query.

Choosing keywords

For best results, it's important to choose your keywords wisely. Keep these tips in mind:
  • Try the obvious first. If you are looking for some report, enter "report" rather than "documents".
  • Use words that are likely to appear on in a document with the information you want. "Prospective clients list" gets better results than "local area businesses".
  • The same word can often have more than one meaning. Therefore, searching by a single keyword is not efficient. Try entering two or three keywords or a key-phrase instead.
 Automatic "AND" queries

By default, Instant Document Search only returns pages that include all of your keywords. There is no need to include "and" between keywords. Keep in mind that the order in which the terms are typed will affect the search results. To restrict your search further, simply include more keywords.

Power search

You can increase the accuracy of your searches by using the Power search that fine-tunes your search query.

To launch the Power-search:
  1. Click on the [...] button by the Search field.
  2. In the Power search window that appears, specify the search keywords:
    1. ALL of these keywords - the program will search for documents that contain all of the specified keywords.
    2. ANY of these keywords - the program will search for documents that contain any of the specified keywords.
    3. NONE of these keywords - the program will search for documents that do not contain the specified keywords.
  3. Click OK to continue or Cancel to cancel the action.
Besides keywords, you can provide additional search parameters to further narrow your search - using the Search parameters setting. To specify additional search parameters:
  1. Click on the [...] button by the Parameters field.
  2. In the Search parameters window that appears, specify the parameters:
    1. Enable file name filter - enables filtering search results by name of returned documents and their folders.
    2. File name - search result document name must match specified here.
    3. Folder - search result document folder must match specified here.
    4. Enable file date filter - enables filtering search results by date and time the returned document were created or modified.
    5. Min. date - search result document date and time must be not earlier than specified here.
    6. Max. date - search result document date and time must be not later than specified here.
    7. Enable file size filter - enables filtering search results by size of the returned documents.
    8. Min. size - search result document size must be not smaller than specified here.
    9. Max. size - search result document size must be not greater than specified here.
  3. Click OK to continue or Cancel to cancel the action.
Most of the power-search options can be entered directly into the program's search box or selected from the Power search dialog window.

Phrase searches

Search for complete phrases by enclosing them in quotation marks. Words enclosed in double quotes ("like this") will appear together in all results exactly as you have entered them.

"OR" searches

Instant Document Search supports the logical "OR" operator. To retrieve documents that include either word A or word B, use an uppercase OR between terms. For example, to search for a January or May financial report, just type: "financial report" January OR May.

"-" searches

Sometimes what you are searching for has more than one meaning. You can exclude a word from your search by putting a minus sign ("-") immediately in front of the keyword you want to avoid. (Be sure to include a space before the minus sign!)

For example, to find financial documents that refer to February and do not contain the word "report", type: financial -report.


Understanding search results

Document name

The first line of the result is the name of the document found.

Text below the document name

This text is an excerpt from the returned result document showing your query terms bolded. These excerpts let you see the context in which your search keywords appear in the document, before you click on the result.

Location of result

This is the physical location of the returned result document.

Size

This number is the size of the found document.

Date

This number is the date the found document was created on.

Result pages

By default, the program returns ten results on each result page. If more than ten search results occur, the results are split into multiple pages; ten results on each page. The result pages are displayed on the bottom of the program window. The number in bold indicates the page you are currently viewing.

To navigate to previous or next result page, click on the <<Previous or Next>> link accordingly. To navigate to a specific result page, simply click on its number.


Managing search results

Searching among returned results

To search for a specific keyword or key-phrase among search results on current result page:

  1. On the Edit menu, select "Find..." or press the Ctrl-F key combination.
  2. In the Find window that appears:
    1. Enter keyword or key-phrase to be found.
    2. Select the Match case option to perform case-sensitive search.
    3. Select direction for the search.
    4. Click Find next to continue or Cancel to cancel the action.
Viewing found documents

To open a returned document, simply click on that document's title.

 Copying search results to clipboard

To copy selected search results or a fragment to clipboard:
  1. Simply select that fragment with the mouse.
  2. Right-click on the selected result and on the context menu that appears select Copy.
To copy all search results to clipboard:
  1. On the Edit menu, select "Select All" or press the Ctrl-A key combination.
  2. Right-click on the selected results and on the context menu that appears select Copy
    OR
    On the Edit menu, select "Copy" or press the Ctrl-C key combination.
 Printing search results

To print current search result page:
  1. On the File menu, select Print...
  2. In the Print window that appears, specify printing settings as necessary, and then click OK to print or Cancel to cancel the action.